summaryrefslogtreecommitdiffstats
path: root/patches/policycoreutils-2.1.13
diff options
context:
space:
mode:
authorMarc Kleine-Budde <mkl@pengutronix.de>2013-02-14 17:13:58 +0100
committerMarc Kleine-Budde <mkl@pengutronix.de>2013-02-14 17:35:37 +0100
commit5b7f5c45d1812c1e1e55e0807888e80781660dc4 (patch)
tree79cd6ccdb3c9ae135a2895bb326b38e193bc179d /patches/policycoreutils-2.1.13
parent8d64c5b200133f9dddf1e9cf4c63841db28fe31e (diff)
downloadptxdist-5b7f5c45d1812c1e1e55e0807888e80781660dc4.tar.gz
ptxdist-5b7f5c45d1812c1e1e55e0807888e80781660dc4.tar.xz
policycoreutils: fix exit value of relabeling script
Signed-off-by: Marc Kleine-Budde <mkl@pengutronix.de>
Diffstat (limited to 'patches/policycoreutils-2.1.13')
-rw-r--r--patches/policycoreutils-2.1.13/0005-fixfiles-tweaks-to-make-it-work-better-with-busybox.patch17
1 files changed, 14 insertions, 3 deletions
diff --git a/patches/policycoreutils-2.1.13/0005-fixfiles-tweaks-to-make-it-work-better-with-busybox.patch b/patches/policycoreutils-2.1.13/0005-fixfiles-tweaks-to-make-it-work-better-with-busybox.patch
index 197194f1d..16c10d74c 100644
--- a/patches/policycoreutils-2.1.13/0005-fixfiles-tweaks-to-make-it-work-better-with-busybox.patch
+++ b/patches/policycoreutils-2.1.13/0005-fixfiles-tweaks-to-make-it-work-better-with-busybox.patch
@@ -4,11 +4,11 @@ Subject: [PATCH] fixfiles: tweaks to make it work better with busybox
Signed-off-by: Marc Kleine-Budde <mkl@pengutronix.de>
---
- scripts/fixfiles | 17 +++++++++--------
- 1 file changed, 9 insertions(+), 8 deletions(-)
+ scripts/fixfiles | 21 ++++++++++++---------
+ 1 file changed, 12 insertions(+), 9 deletions(-)
diff --git a/scripts/fixfiles b/scripts/fixfiles
-index 989b1ae..0e74d49 100755
+index 989b1ae..dc7d262 100755
--- a/scripts/fixfiles
+++ b/scripts/fixfiles
@@ -1,4 +1,4 @@
@@ -67,3 +67,14 @@ index 989b1ae..0e74d49 100755
}
#
+@@ -247,7 +248,9 @@ find /tmp \( -context "*:${UNLABELED}*" -o -context "*:${UNDEFINED}*" \) \( -typ
+ find /tmp \( -context "*:${UNLABELED}*" -o -context "*:${UNDEFINED}*" \) -exec chcon --reference /tmp {} \;
+ find /var/tmp \( -context "*:${UNLABELED}*" -o -context "*:${UNDEFINED}*" \) -exec chcon --reference /var/tmp {} \;
+ find /var/run \( -context "*:${UNLABELED}*" -o -context "*:${UNDEFINED}*" \) -exec chcon --reference /var/run {} \;
+-[ -e /var/lib/debug ] && find /var/lib/debug \( -context "*:${UNLABELED}*" -o -context "*:${UNDEFINED}*" \) -exec chcon --reference /lib {} \;
++if [ -e /var/lib/debug ]; then
++ find /var/lib/debug \( -context "*:${UNLABELED}*" -o -context "*:${UNDEFINED}*" \) -exec chcon --reference /lib {} \;
++fi
+ exit $?
+ }
+